Skip to content

upsertFixedAssetUsageLog

WRITE

Upsert fixed asset usage log.

POST /api/v1/accounting/upsertFixedAssetUsageLog
curl -X POST '<your-host>/api/v1/accounting/upsertFixedAssetUsageLog' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fixedAssetId": "string",
    "periodStart": "string",
    "periodEnd": "string",
    "unitsProduced": 0
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min length 1
min length 1
> 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "fixedAssetId": {
      "type": "string",
      "minLength": 1
    },
    "periodStart": {
      "type": "string",
      "minLength": 1
    },
    "periodEnd": {
      "type": "string",
      "minLength": 1
    },
    "unitsProduced": {
      "type": "number",
      "exclusiveMinimum": 0
    }
  },
  "required": [
    "fixedAssetId",
    "periodStart",
    "periodEnd",
    "unitsProduced"
  ]
}